io.netty.handler.codec.xml

## Class XmlAttribute

- java.lang.Object
- - io.netty.handler.codec.xml.XmlAttribute

    public class XmlAttribute
    extends Object

XML attributes, it is part of `XmlElement`

### Constructor Summary

Constructors
Constructor and Description
`XmlAttribute(String type, String name, String prefix, String namespace, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `name()`
`String` `namespace()`
`String` `prefix()`
`String` `toString()`
`String` `type()`
`String` `value()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlAttribute

    public XmlAttribute(String type,
                        String name,
                        String prefix,
                        String namespace,
                        String value)

### Method Detail

#### type

    public String type()

#### name

    public String name()

#### prefix

    public String prefix()

#### namespace

    public String namespace()

#### value

    public String value()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`